prepare CI image:
  extends: .dind
  stage: prepare
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - Dockerfile
        - ".ci/force-rebuild-ci-image"
  script:
    - docker build -t $CI_REGISTRY_IMAGE:latest .
    - echo ${CI_REGISTRY_PASSWORD} | docker login --username ${CI_REGISTRY_USER} --password-stdin ${CI_REGISTRY}
    - docker push $CI_REGISTRY_IMAGE:latest
    